#define PAGESIZE  20

string lines;
int lineno, sz;


reset(arg) {
    if (arg)
	return;
}

id(str) {
    return str == "boardwalk" || str == "boardreader";
}

short () {
    return 0;
}

long () {
    write("The hidden tool for doing 'more' on boards.\n");
    return 1;
}

get() {
    return 0;
}

drop() {
    return 1;
}

query_weight() {
    return 0;
}


query_value() {
    return 0;
}

more(arg) {
    lines = explode(arg, "\n");
    sz = sizeof(lines);
    lineno = 0;

    qmore("");
    return 1;
}

qmore(answer) {
    int i, cnt;

    answer = lower_case(answer);
    if (answer == "q") {
	destruct(this_object());
	return 1;
    }

    if (answer == "?" || answer == "help") {
	tell_object(environment(this_object()),
	    "Available commands:\n<cr>, t(op), b(ack one page), r(edisplay page), <line number>, q(uit)\n");
	input_to("qmore");
	return 1;
    }

    if (answer == "t" || answer == "top")
	lineno = PAGESIZE;

    if (answer == "")
	lineno += PAGESIZE;

    if (answer && sscanf(answer, "%d", cnt) == 1) 
	lineno = cnt - 1 + PAGESIZE;

    if (answer == "b" || answer == "back" || answer == "p") 
	lineno -= PAGESIZE;

    if (lineno < PAGESIZE)
	lineno = PAGESIZE;

    for (i = lineno - PAGESIZE; i < lineno && i < sz; i++)
	tell_object(environment(this_object()), lines[i] + "\n");
    if (lineno > sz) {
	destruct(this_object());
	return 1;
    }
    else {
	tell_object(environment(this_object()), "More: --" + lineno + "-- (<cr>,t,b,r,<num>,q,?)");
	input_to("qmore");
    }
    return 1;
}
