object source;

short() {
  return "A teleportation bracelet (worn)";
}

long() {
  write(
"The bracelet is made of titanium and has just 1 large switch on it.\n"+
"You have flip this switch in order to get teleported back to where\n"+
"you came from. Better hang on to this thing. If you lose it, you'll\n"+
"have to stay here forever.\n");
}

get() {
  return 1;
}

id(str) {
  return str=="bracelet";
}

init() {
  add_action("flip","flip");
}

drop() {
  write("Dropping your bracelet would mean permenent exile.\n");
  return 1;
}

set_source(s) {
  source = s;
}

flip(str) {
  if (!str) {
    write("Flip what?\n");
     return 1;
  }
  if (str=="switch") {
    /* Teleport */
    write("You flip the switch on your bracelet. The bracelet ionises and\n"+
          "disappears into thin air.\n");
    this_player()->magic_move(source);
    destruct(this_object());
    return 1;
  }
}

