#define BASE_SIZE 5

string questions;
string a_answers;
string b_answers;
string c_answers;
string d_answers;
string corrects;

reset(arg) {
  if (arg) return;
  questions = allocate(BASE_SIZE);
  a_answers = allocate(BASE_SIZE);
  b_answers = allocate(BASE_SIZE);
  c_answers = allocate(BASE_SIZE);
  d_answers = allocate(BASE_SIZE);
  corrects  = allocate(BASE_SIZE);

  set_question(0,"c","At what age did Yoda die?",
                     "At the age of 45",
                     "At the age of 100",
                     "At the age of 800+",
                     "who's Yoda?");
  set_question(1,"b","Which Senator became a Galactic Dictator?",
                     "Senator Clinton",
		     "Senator Palpetine",
		     "Senator Vader",
		     "None of the above");
  set_question(2,"d","On what would you bet during a Rancor-Wamper fight?",
                     "On the Rancor",
                     "On the Wamper",
                     "On (n)either, since it's a fair fight",
                     "What's a Wamper?");
  set_question(3,"a","What is Leia Organa's home planet?",
                     "Alderaan",
		     "Endor",
		     "Hoth",
	             "None of the above");
  set_question(4,"d","Attacking a Rancor is...",
		     "very brave",
                     "very cruel",
                     "very common",
                     "very foolish");
}

set_question(nr,cor,q,a,b,c,d) {
  questions[nr] = q;
  a_answers[nr] = a;
  b_answers[nr] = b;
  c_answers[nr] = c;
  d_answers[nr] = d;
  corrects [nr] = cor;
}

ask_question() {
  int n;

  n = random(BASE_SIZE);
  write(questions[n]+"\n");
  write("  a - "+a_answers[n]+"\n");
  write("  b - "+b_answers[n]+"\n");
  write("  c - "+c_answers[n]+"\n");
  write("  d - "+d_answers[n]+"\n");
  write("(a/b/c/d)? : ");
  return corrects[n];
}

