inherit "obj/xthing";

int age;
int explode;

short() {
  return("a heavy bronze key");
}

long() {
  write("The key is made of bronze. Since the only large bronze reserves\n"+
        "in this solarsystem are on earth, you can easily guess it's origin.\n");
}

id(str) {
 return(str == "key" || str == "bronze key");
}

graph() {
  if(!explode) return (
"020A0E7781797D7B7E7A807C817D7F7F807E82838481860D0E81867E88838B878886878389818887838984868787888B848681");
  return "020F0C8A8094908D8F8AA4869584A881977DA9818A77957B8D719076816C84747E110E89828D8A838E8596838E82967F8D7D908484758F808674897E8676847E807382767F";
}

reset(arg) {
  ::reset(arg);
  explode =0;
  if (!arg) {
    age=0;
  } else {
    age++;
    if (age==2)
      destruct(this_object());
  }
}

init() {
  add_action("unlock","unlock");
  add_action("unlock","open");
  add_action("lock","lock");
  add_action("lock","close");
}

get() {
  return 1;
}

query_weight() { return 3; }

query_value() { return 149; }

unlock(str) {
  if (str!="door")
    return 0;
  if (environment(this_object())!=this_player()) {
    write("You are not holding the key.\n");
    return 1;
  }
  if (call_other("players/bram/venus/gate","query_door")==1) {
    write("The door already is wide open, so why bother?\n");
    return 1;
  }
  write("You unlock the door with the heavy bronze key.\n"+
  "The lock shifts... you open the door.\n");
  say(this_player()->query_name()+" unlocks and opens the door.\n");
  call_other("players/bram/venus/gate","open_door");
  return 1;
}

lock(str) {
  if (str!="door")
    return 0;
  if (environment(this_object())!=this_player()) {
    write("You are not holding the key.\n");
    return 1;
  }
  if (call_other("players/bram/venus/gate","query_door")==0) {
    write("The door already is locked\n");
    return 1;
  }
  write("You lock the door with the heavy bronze key.\n");
  say(this_player()->query_name()+" locks and closes the door.\n");
  call_other("players/bram/venus/gate","close_door");
  return 1;
}

drop() {
	call_out("destruct_this",0);
	define();
}
destruct_this() {
	tell_room(environment(this_object()),"The key suddenly starts to vibrate, and explodes.\n");
	tell_room(environment(this_object()),"@RMO"+idstr);
	destruct(this_object());
}
