inherit "room/cab/station.c";

reset(arg) {
  ::reset(arg);
  if (!arg) {
    graphic = 
"0C0402009EFF9EFF0000000403009EFF9EFFFF00FF0508FF10EA3000300000FF000407E9300030003FE83F040FE84000400063D063090BD04DD078D180D1B3D3B3D37FD57BD54DD24C030CD2ADC594DE94030ED1A5D997CB970406007300707D707D73040B0F490F7C117C1149040B7449747B767B764A040B414A417B437B434A";
    dest_dir = ({ "room/to_cabs","west", "players/wing/qhus1", "east" });
  }
  description =
"The Terran Space-cabs-bay. You can take a cab by typing 'go <destination>'\n"+
"This bay services travels to the planets Venus and Mars, and to the\n"+
"satelite Luna. Type 'help solar' for more info.\n";
}

service(str) {
  if (str=="venus"||str=="Venus")
    return "players/bram/venus/arrival";
  if (str=="moon" || str=="Luna" || str=="luna")
    return "players/jacques/room/moon/landing";
  if (str=="mars" || str=="Mars")
    return "room/bay_mars";
  return 0;
}

