/*
 * combat.c
 *
 * implements a bullet that can be shot from a player to another
 *
 */
#include "/system/sendhex.h"
#define BULLETID picid+"."

int lastx, lasty;
string picid;

erase()
{
  if (lastx<0) return;
  tell_room(environment(this_player()),"@"+"RMO"+BULLETID);
}

plot(x,y)
{
  erase();
  if (x==lastx && y==lasty) return;
  tell_room(environment(this_player()),"@"+"VIO"+BULLETID+sendhex(x)+sendhex(y)+"@"+"RFS");
  lastx = x;
  lasty = y;
}

abs(x) {
  if (x<0) return -x;
  return x;
}

shoot(x1,y1,x2,y2,bul)
{
  int dx,dy;
  int x,y;
  int i,j;
  int steps;

  picid = bul;
  if (x1<0 || x1>15 || y1<0 || y1>7 || x2<0 || x2>15 || y2<0 || y2>7)
    return;
  lastx = -1;
  lasty = -1;
  dx = x2 - x1;
  dy = y2 - y1;
  x = x1;
  y = y1;
/* Sorry Bram, but I had to speed the spells a bit up, */
/* the client (Sun) was too slow. Wonder what it's like */
/* at home :) - Orion                                  */
  if (abs(dx) > abs(dy)) {
    /* iterate x */
    steps = abs(dx);
    for (i=0; i<steps; i+=2) {
      x = x + (2 * (dx/steps));
      y = y1 + (i*dy)/steps;
      plot(x,y);
    }
  } else {
    /* iterate y */
    steps = abs(dy);
    for (i=0; i<steps; i+=2) {
      y = y + (2* (dy/steps));
      x = x1+ (i*dx)/steps;
      plot(x,y);
    }
  }
  erase();
  tell_room(environment(this_player()),"@"+"RFS");
}
