inherit "obj/monster";

int delay;

reset(arg) {
  ::reset(arg);
  if (!arg) {
    set_idstr("players/boob/images/bart");
    set_name("bart");
    set_alias("dude");
    set_short("Bart Simpson (skipping school)");
    set_level(2);
    set_heart_beat(1);
    delay = 0;
  }
}

get_victim() {
  object s;
  s = first_inventory(environment(this_object()));
  while (s) {
    if ((s!=this_object()) && (living(s)) && (!s->query_quests("Labyrinth")))
      return(s);
    s = next_inventory(s);
  }
  return 0;
}

heart_beat() {
  object v;

  ::heart_beat();
  if (random(2)==1)
    random_micro_move();
  if (delay) {
    delay--;
    return;
  }
  if (random(50)) return;
  if ((v = get_victim())) {
    say("Bart Simpson says: Yo "+v->query_name()+", listen up, will ya?\n");
    call_out("s1",5);
    call_out("s2",10);
    delay = 45;
  }
}

s1() {
  say("Bart Simpson says: I must know the name of the creator of the Labyrinth of Doom.\n");
}

s2() {
  say("Bart Simpson says: if ya figure out the dude's name, tell me, OK?\n");
}

catch_tell(str) {
  string who,what,pre,post;

  if (sscanf(str,"%s tells you%s",who,what)==2)
    if (sscanf(what+".","%sazgul%s",pre,post)==2) {
      if (this_player()->query_quests("Labyrinth")) {
        write("Bart tells you: I know it was him, you told me so, remember?\n");
        return;
      }
      init_command("shake "+this_player()->query_name());
      say("Bart says: I could have known it was that dark one.\n");
      say("Bart says: Ya got a nifty set of Brains, kid.\n");
      write("It seems you just made someone very happy.\n");
      this_player()->set_quest("Labyrinth");
    }
}
