/* Expanded & Modified to BSXmud by Orion 24-3-1992 */

inherit "obj/xthing";

object the_owner;
string cap_name;

get() {
    the_owner = this_player();
    cap_name = call_other(this_player(), "query_name", 0);
    return 1;
}

drop() { return 1; }

id(str) { return str == "soul"; }

long() {
    write("It is transparent.\n");
}

graph() {
    return "00";
}

ghost() {
    the_owner = this_player();
    cap_name = call_other(this_player(), "query_name", 0);
    return call_other(this_player(), "query_ghost");
}

init() {
    the_owner = this_player();
    cap_name = call_other(this_player(), "query_name", 0);
    add_action("agree", "agree");
    add_action("applaud", "applaud");
    add_action("blush", "blush");
    add_action("bounce", "bounce");
    add_action("bow", "bow");
    add_action("burp", "burp");
    add_action("butt", "butt");
    add_action("cackle", "cackle");
    add_action("cheer", "cheer");
    add_action("chuckle", "chuckle");
    add_action("clap", "clap");
    add_action("comfort", "comfort");
    add_action("cough", "cough");
    add_action("cry", "cry");
    add_action("cuddle", "cuddle");
    add_action("curtsey", "curtsey");
    add_action("dance", "dance");
    add_action("disagree", "disagree");
    add_action("fart", "fart");
    add_action("flex", "flex");
    add_action("flip", "flip");
    add_action("fondle", "fondle");
    add_action("french", "french");
    add_action("frown", "frown");
    add_action("gasp", "gasp");
    add_action("giggle", "giggle");
    add_action("glare", "glare");
    add_action("grin", "grin");
    add_action("groan", "groan");
    add_action("grope", "grope");
    add_action("growl", "growl");
    add_action("hiccup", "hiccup");
    add_action("high5","high5");
    add_action("hug", "hug");
    add_action("inhale", "inhale");
    add_action("kick", "kick");
    add_action("kiss", "kiss");
    add_action("knee", "knee");
    add_action("laugh", "laugh");
    add_action("lick", "lick");
    add_action("love", "love");
    add_action("moan", "moan");
    add_action("mock", "mock");
    add_action("nibble", "nibble");
    add_action("nod", "nod");
    add_action("pat", "pat");
    add_action("peer", "peer");
    add_action("poke", "poke");
    add_action("pout", "pout");
    add_action("puke", "puke");
    add_action("purr", "purr");
    add_action("rape","rape");
    add_action("ruffle", "ruffle");
    add_action("scream", "scream");
    add_action("shake", "shake");
    add_action("shiver", "shiver");
    add_action("shrug", "shrug");
    add_action("sigh", "sigh");
    add_action("sing", "sing");
    add_action("slap", "slap");
    add_action("smack", "smack");
    add_action("smirk", "smirk");
    add_action("smile", "smile");
    add_action("snap", "snap");
    add_action("sneeze", "sneeze");
    add_action("snicker", "snicker");
    add_action("sniff", "sniff");
    add_action("snore", "snore");
    add_action("snuggle", "snuggle");
    add_action("spit", "spit");
    add_action("squeeze", "squeeze");
    add_action("stare", "stare");
    add_action("strut", "strut");
    add_action("sulk", "sulk");
    add_action("tackle", "tackle");
    add_action("tap", "tap");
    add_action("thank", "thank");
    add_action("think", "think");
    add_action("thwap", "thwap");
    add_action("twiddle", "twiddle");
    add_action("wave", "wave");
    add_action("whistle", "whistle");
    add_action("wiggle", "wiggle");
    add_action("wink", "wink");
    add_action("worship", "worship");
    add_action("yawn", "yawn");
}

agree(str) {
    object who;
    if (ghost())
        return 0;
    if (!str) 
        return 0;
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " utterly agrees with you.\n");
    write("You utterly agree with " + capitalize(str) +".\n");
    say(cap_name + " agrees with " + capitalize(str) + ".\n", who);
    return 1;
}

applaud() {
    if (ghost())
        return 0;
    write("You applaud wholeheartedly.\n");
    say(cap_name + " gives a round of applause.\n");
    return 1;
}

blush() {
    if (ghost())
        return 0;
    write("Your cheeks are burning.\n");
    say(cap_name + " blushes.\n");
    return 1;
}

bounce() {
    if (ghost())
        return 0;
    write("B O I N G !!\n");
    say(cap_name + " bounces around.\n");
    return 1;
}

bow(str) {
    object who;
    if (ghost())
        return 0;
    if (!str) {
        write("You bow to your audience.\n");
        say(cap_name + " bows gracefully.\n");
        return 1;
    }
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " bows before you.\n");
    write("You bow to " + capitalize(str) +".\n");
    say(cap_name + " bows to " + capitalize(str) + ".\n", who);
    return 1;
}

burp() {
    if (ghost())
        return 0;
    write("Excuse yourself!\n");
    say(cap_name + " burps rudely.\n");
    return 1;
}

butt(str) {
    object who;
    if (ghost())
        return 0;
    if (!str) {
        write("You turn around and face your butt at everyone.\n");
        say(cap_name + " faces his butt in your direction.\n");
        return 1;
    }
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " head butts you, HARD.\n");
    write("You head butt " + capitalize(str) +".\n");
    say(cap_name + " head butts " + capitalize(str) + ", HARD.\n", who);
    return 1;
}

cackle() {
    if (ghost())
        return 0;
    write("You cackle gleefully.\n");
    say(cap_name + " throws " + the_owner->query_possessive() +
        " head back and cackles with glee!\n");
    return 1;
}

cheer() {
    if (ghost())
        return 0;
    write("You jump up and down cheering.\n");
    say(cap_name + " jumps up and down cheering.\n");
    return 1;
}

chuckle() {
    if (ghost())
        return 0;
    write("You chuckle politely.\n");
    say(cap_name + " chuckles politely.\n");
    return 1;
}

clap() {
    if (ghost())
        return 0;
    write("You clap briefly.\n");
    say(cap_name + " claps.\n");
    return 1;
}

comfort(str) {
    object who;
    if (ghost())
        return 0;
    if (!str)
        return 0;
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " comforts you.\n");
    write("You comfort " + capitalize(str) + ".\n");
    say(cap_name + " comforts " + capitalize(str) + ".\n", who);
    return 1;
}

cough() {
    if (ghost())
        return 0;
    write("Cover your mouth when you do that!\n");
    say(cap_name + " coughs noisily.\n");
    return 1;
}

cry() {
    if (ghost())
        return 0;
    write("Waaaaah!\n");
    say(cap_name + " bursts into tears.\n");
    return 1;
}

cuddle(str) {
    object who;
    if (ghost())
        return 0;
    if (!str)
        return 0;
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " cuddles you.\n");
    write("You cuddle " + capitalize(str) + ".\n");
    say(cap_name + " cuddles " + capitalize(str) + ".\n", who);
    return 1;
}

curtsey() {
    if (ghost())
        return 0;
    write("You curtsey gracefully.\n");
    say(cap_name + " curtseys gracefully.\n");
    return 1;
}

dance(str) {
    object who;
    if (ghost())
        return 0;
    if (!str) {
        write("Feels silly, doesn't it?\n");
        say(cap_name + " does the disco duck.\n");
        return 1;
    }
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " sweeps you across the dance floor.\n");
    write("You sweep " + capitalize(str) +" across the dance floor.\n");
    say(cap_name + " sweeps " + capitalize(str) + " across the dance floor.\n", who);
    return 1;
}

disagree(str) {
    object who;
    if (ghost())
        return 0;
    if (!str) 
        return 0;
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " disagrees completely with you.\n");
    write("You completely disagrees with " + capitalize(str) +".\n");
    say(cap_name + " disagrees with " + capitalize(str) + ".\n", who);
    return 1;
}

fart() {
    if (ghost())
        return 0;
    write("How rude!\n");
    say(cap_name + " lets off a real rip-roarer.\n");
    return 1;
}

flex() {
    int level;
    level = call_other(this_player(), "query_level");
    if (ghost())
       return 0;
    if (level < 5) {
          write("You flex you tiny biceps.\n");
          say(cap_name + " flex his tiny biceps.\n");
          return 1;
    } else if (level < 10) {
          write("You flex you small biceps.\n");
          say(cap_name + " flex his small biceps.\n");
          return 1;
    } else if (level < 15) {
          write("You flex you growing biceps.\n");
          say(cap_name + " flex his growing biceps.\n");
          return 1;
    }
    write("You flex you bulging biceps.\n");
    say(cap_name + " flex his bulging biceps.\n");
    return 1;
}

flip() {
    if (ghost())
        return 0;
    write("You flip head over heels.\n");
    say(cap_name + " flips head over heels.\n");
    return 1;
}

fondle(str) {
    object who;
    if (ghost())
        return 0;
    if (!str)
        return 0;
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " fondles you.\n");
    write("You fondle " + capitalize(str) + ".\n");
    say(cap_name + " fondles " + capitalize(str) + ".\n", who);
    return 1;
}

french(str) {
    object who;
    if (ghost())
        return 0;
    if (!str)
        return 0;
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name +
       " gives you a deep and passionate kiss..it seems to take forever...\n");
    write("You give " + capitalize(str) + " a REAL kiss..it lasts a long time...\n");
    say(cap_name + " gives " + capitalize(str) +
       " a deep and passionate kiss..it seems to take forever...\n", who);
    return 1;
}

frown() {
    if (ghost())
        return 0;
    write("Is something wrong?\n");
    say(cap_name + " frowns.\n");
    return 1;
}

gasp() {
    if (ghost())
        return 0;
    write("You gasp in astonishment.\n");
    say(cap_name + " gasps in astonishment!\n");
    return 1;
}

giggle() {
    if (ghost())
        return 0;
    write("You giggle inanely.\n");
    say(cap_name + " giggles inanely.\n");
    return 1;
}

glare(str) {
    object who;
    if (ghost())
        return 0;
    if (!str)
        return 0;
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " glares at you.\n");
    write("You glare stonily at " + capitalize(str) + ".\n");
    say(cap_name + " glares at " + capitalize(str) + ".\n", who);
    return 1;
}

grin() {
    if (ghost())
        return 0;
    write("You grin evilly.\n");
    say(cap_name + " grins evilly.\n");
    return 1;
}

groan() {
    if (ghost())
        return 0;
    write("You groan.\n");
    say(cap_name + " groans loudly.\n");
    return 1;
}

grope(str) {
    object who;
    if (ghost())
        return 0;
    if (!str)
        return 0;
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " gropes you.\n");
    write("You grope "+capitalize(str)+".\n");
    say(cap_name + " gropes " + capitalize(str) + ".\n", who);
    return 1;
}

growl(str) {
    object who;
    if (ghost())
        return 0;
    if (!str) {
        write("You growl.\n");
        say(cap_name + " growls.\n");
        return 1;
    }
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " growls at you.\n");
    write("You growl at " + capitalize(str) +".\n");
    say(cap_name + " growls at " + capitalize(str) + ".\n", who);
    return 1;
}

hiccup() {
    if (ghost())
        return 0;
    write("Hic!\n");
    say(cap_name + " hiccups.\n");
    return 1;
}

high5(str) {
    object who;
    if(!str) {
        write("High-5 who?\n");
        return 1;
    }
    if(ghost()) return 0;
    who=present(str,environment(this_player()));
    if(!who||!living(who)||who==this_player()) return 0;
    str=capitalize(str);
    write("You jump into the air and slap a thundering high-5 with "+str+".\n");
    tell_object(who,cap_name+" jumps in the air and slaps a thundering high-5 with you.\n");
    say(cap_name+" jumps into the air and slaps a thundering high-5 with "+str+".\n",who);
    return 1;
}
hug(str) {
    object who;
    if (ghost())
        return 0;
    if (str == 0)
        return 0;
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " hugs you.\n");
    write("You hug " + capitalize(str) + ".\n");
    say(cap_name + " hugs " + capitalize(str) + ".\n", who);
    return 1;
}

inhale() {
    if (ghost())
        return 0;
    write("You inhale.\n");
    say(cap_name + " inhales deeply.\n");
    return 1;
}

kick(str) {
    object who;
    if (ghost())
        return 0;
    if (str == 0)
        return 0;
    who = present(str, environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " kicks you.   OUCH!!\n");
    say(cap_name + " kicks " + capitalize(str) + ".\n", who);
    write("You kick " + capitalize(str) + ".\n");
    return 1;
}

kiss(str) {
    object who;
    if (ghost())
        return 0;
    if (str == 0)
        return 0;
    who = present(str, environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " kisses you.\n");
    say(cap_name + " kisses " + capitalize(str) + ".\n", who);
    if (call_other(who, "query_frog")) {
        call_other(this_player(), "frog_curse", 1);
        call_other(who, "frog_curse", 0);
        return 1;
    }
    write("You kiss " + capitalize(str) + ".\n");
    return 1;
}

knee(str) {
    object who;
    if (ghost())
        return 0;
    if (str == 0)
        return 0;
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    if (who->query_male()) {
        tell_object(who, cap_name + " hits you with " +
                    the_owner->query_possessive() + " knee below your belt!\n" +
                    "You double over and fall to the ground, writhing in " +
                    "excruciating pain,\nfeeling like you may throw up " +
                    "everything you have eaten!\n");
        say(cap_name + " suddenly raises " + the_owner->query_possessive() +
            " knee, sending " + capitalize(str) + " to the floor, writhing in pain!\n",
            who);
        write("You hit " + capitalize(str) + " with your knee.\n");
    }
    else {
        tell_object(who, cap_name + " tries to knee you, without much effect.\n");
        say(cap_name + " tries to knee " + capitalize(str) + ", without much effect.\n", who);
        write("You try to knee " + capitalize(str) + ". Not very effective though.\n");
    }
    return 1;
}

laugh() {
    if (ghost())
        return 0;
    write("You fall down laughing.\n");
    say(cap_name + " falls down laughing.\n");
    return 1;
}

lick(str) {
    object who;
    if (ghost())
        return 0;
    if (str == 0)
        return 0;
    who = present(str, environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " licks you.\n");
    say(cap_name + " licks " + capitalize(str) + ".\n", who);
    write("You lick " + capitalize(str) + ".\n");
    return 1;
}

love(str) {
    object who;
    if (ghost())
        return 0;
    if (str == 0)
        return 0;
    who = present(str, environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " whispers to you sweet words of love.\n");
    say(cap_name + " whispers softly to " + capitalize(str) + ".\n", who);
    write("You tell your true feelings to " + capitalize(str) + ".\n");
    return 1;
}

moan() {
    if (ghost())
        return 0;
    write("You start to moan.\n");
    say(cap_name + " starts moaning.\n");
    return 1;
}

mock(str) {
    object who;
    if (ghost())
        return 0;
    if (!str) 
        return 0;
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " mocks you cruelly.\n");
    write("You mock " + capitalize(str) +" cruelly.\n");
    say(cap_name + " mocks " + capitalize(str) + " with a touch of distaste.\n", who);
    return 1;
}

nibble(str) {
    object who;
    if (ghost())
        return 0;
    if (str == 0)
        return 0;
    who = present(str, environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " nibbles on your ear.\n");
    say(cap_name + " nibbles on " + capitalize(str) + "s ear.\n", who);
    write("You nibble " + capitalize(str) + "s ear.\n");
    return 1;
}

nod() {
    if (ghost())
        return 0;
    write("You nod solemnly.\n");
    say(cap_name + " nods solemnly.\n");
    return 1;
}

pat(str) {
    object who;
    if (ghost())
        return 0;
    if (!str) {
        write("You pat yourself on the back.\n");
        say(cap_name + " pats himself on the back.\n");
        return 1;
    }
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " pats you on the head.\n");
    write("You pat " + capitalize(str) + " on the head.\n");
    say(cap_name + " pats " + capitalize(str) + " on the head.\n", who);
    return 1;
}

peer(str) {
    object who;
    if (ghost())
        return 0;
    if (!str) 
       return 0;
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " peers at you quizzically.\n");
    write("You peer at " + capitalize(str) + ".\n");
    say(cap_name + " peers at " + capitalize(str) + " quizzically.\n", who);
    return 1;
}

poke(str) {
    object who;
    if (ghost())
        return 0;
    if (str == 0)
        return 0;
    who = present(str, environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " pokes you in the ribs.\n");
    say(cap_name + " pokes " + capitalize(str) + " in the ribs.\n", who);
    write("You poke " + capitalize(str) + " in the ribs.\n");
    return 1;
}

pout() {
    if (ghost())
        return 0;
    write("Ah, don't take it so hard.\n");
    say(cap_name + " pouts.\n");
    return 1;
}

puke(str) {
    object who;
    if (ghost())
        return 0;
    if(!str) {
        write("You puke on your shoes.\n");
        say(cap_name + " doubles over and pukes.\n");
        return 1;
    }
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " pukes all over you!\n");
    write("You puke on " + capitalize(str) +".\n");
    say(cap_name + " pukes on " + capitalize(str) + ".\n", who);
    return 1;
}

purr() {
    if (ghost())
        return 0;
    write("MMMMEEEEEEEEOOOOOOOWWWWWWW!\n");
    say(cap_name + " purrs contentedly.\n");
    return 1;
}

rape(str) {
    object who;
    if(ghost())
        return 0;
    if(!str) {
        write("Rape who?\n");
        return 1;
    }
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " rapes you violently!\n");
    write("You rape " + capitalize(str) +" violently.\n");
    say(cap_name + " rapes " + capitalize(str) + " violently!\n", who);
    return 1;
}
ruffle(str) {
    object who;
    if (ghost())
        return 0;
    if (!str)
        return 0;
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " ruffles your hair playfully.\n");
    write("You ruffle " + capitalize(str) + "s hair playfully.\n");
    say(cap_name + " ruffles " + capitalize(str) + "s hair playfully.\n", who);
    return 1;
}

scream() {
    if (ghost())
        return 0;
    write("ARRGGGGGGHHHHHH!!!!\n");
    say(cap_name + " screams loudly!\n");
    return 1;
}

shake(str) {
    object who;
    if (ghost())
        return 0;
    if(!str) {
        write("You shake your head.\n");
        say(cap_name + "'s head shakes no.\n");
        return 1;
    }
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " shakes your hand.\n");
    write("You shake hands with " + capitalize(str) +".\n");
    say(cap_name + " shakes " + capitalize(str) + "s hand.\n", who);
    return 1;
}

shiver() {
    if (ghost())
        return 0;
    write("Brrrrrr!!!\n");
    say(cap_name + " shivers from the cold.\n");
    return 1;
}

shrug() {
    if (ghost())
        return 0;
    write("You shrug.\n");
    say(cap_name + " shrugs helplessly.\n");
    return 1;
}

sigh() {
    if (ghost())
        return 0;
    write("You sigh.\n");
    say(cap_name + " sighs deeply.\n");
    return 1;
}

sing() {
    if (ghost())
        return 0;
    write("Oh sole mio!\n");
    say(cap_name + " sings in Italian.\n");
    return 1;
}

slap(str) {
    object who;
    if (ghost())
        return 0;
    if (str == 0)
        return 0;
    who = present(str, environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    write("You slap " + capitalize(str) + ".\n");
    say(cap_name + " slaps " + capitalize(str) + ".\n", who);
    tell_object(who, cap_name + " slaps you!\n");
    return 1;
}


smack(str) {
    object who;
    if (ghost())
        return 0;
    if (str == 0)
        return 0;
    who = present(str, environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    write("You smack " + capitalize(str) + " upside the head.\n");
    say(cap_name + " smacks " + capitalize(str) + " upside the head.\n", who);
    tell_object(who, cap_name + " smacks you upside the head!\n");
    return 1;
}

smirk() {
    if (ghost())
        return 0;
    write("You smirk.\n");
    say(cap_name + " smirks.\n");
    return 1;
}

smile(str) {
    object who;
    if (ghost()) {
        write("You smile inwardly.\n");
        return 1;
    }
    if(!str) {
        write("You smile happily.\n");
        say(cap_name + " smiles happily.\n");
        return 1;
    }
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " smiles at you.\n");
    write("You smile at " + capitalize(str) +".\n");
    say(cap_name + " smiles at " + capitalize(str) + ".\n", who);
    return 1;
}

snap() {
    if (ghost())
        return 0;
    write("You snap your fingers.\n");
    say(cap_name + " snaps " + the_owner->query_possessive() +
        " fingers.\n");
    return 1;
}

sneeze() {
    if (ghost())
        return 0;
    write("Gazundheit!\n");
    say(cap_name + " sneezes.\n");
    return 1;
}

snicker() {
    if (ghost())
        return 0;
    write("You snicker.\n");
    say(cap_name + " snickers.\n");
    return 1;
}

sniff() {
    if (ghost())
        return 0;
    write("You sniff.\n");
    say(cap_name + " sniffs.\n");
    return 1;
}

snore() {
    if (ghost())
        return 0;
    write("Zzzzzzzzzz...\n");
    say(cap_name + " snores loudly.\n");
    return 1;
}

snuggle(str) {
    object who;
    if (ghost())
        return 0;
    if (str == 0)
        return 0;
    who = present(str, environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    write("You snuggle " + capitalize(str) + ".\n");
    say(cap_name + " snuggles up to " + capitalize(str) + ".\n", who);
    tell_object(who, cap_name + " snuggles up to you.\n");
    return 1;
}

spit(str) {
    object who;
    if (ghost())
        return 0;
    if(!str) {
        write("You spit.\n");
        say(cap_name + " spits on the ground.\n");
        return 1;
    }
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " spits on you!\n");
    write("You spit on " + capitalize(str) +".\n");
    say(cap_name + " spits on " + capitalize(str) + ".\n", who);
    return 1;
}

squeeze(str) {
    object who;
    if (ghost())
        return 0;
    if (str == 0)
        return 0;
    who = present(str, environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    write("You squeeze " + capitalize(str) + " fondly.\n");
    say(cap_name + " squeezes " + capitalize(str) + " fondly.\n", who);
    tell_object(who, cap_name + " squeezes you fondly.\n");
    return 1;
}

stare(str) {
    object who;
    if (ghost())
        return 0;
    if(!str) {
        write("You stare into space.\n");
        say(cap_name + " stares into space.\n");
        return 1;
    }
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " stares deep into your eyes.\n");
    write("You stare dreamily at " + capitalize(str) +".\n");
    say(cap_name + " stares dreamily at " + capitalize(str) + ".\n", who);
    return 1;
}

strut() {
    if (ghost())
        return 0;
    write("Strut your stuff!\n");
    say(cap_name + " struts proudly.\n");
    return 1;
}

sulk() {
    if (ghost())
        return 0;
    write("You sulk.\n");
    say(cap_name + " sulks in the corner.\n");
    return 1;
}

tackle(str) {
    object who;
    if (ghost())
        return 0;
    if (!str) 
       return 0;
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " tackles you to the ground.\n");
    write("You tackle " + capitalize(str) + ".\n");
    say(cap_name + " tackles " + capitalize(str) + " to the ground.  OUCH!\n", who);
    return 1;
}

tap(str) {
    object who;
    if (ghost())
        return 0;
    if(!str) {
        write("You tap your foot impatiently.\n");
        say(cap_name + " taps his foot.\n");
        return 1;
    }
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " taps you on the shoulder.\n");
    write("You tap " + capitalize(str) + " on the shoulder.\n");
    say(cap_name + " taps " + capitalize(str) + " on the shoulder.\n", who);
    return 1;
}

thank(str) {
    object who;
    if (ghost())
        return 0;
    if (str == 0)
        return 0;
    who = present(str, environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    write("You thank " + capitalize(str) + ".\n");
    say(cap_name + " thanks " + capitalize(str) + ".\n", who);
    tell_object(who, cap_name + " thanks you.\n");
    return 1;
}

think(str) {
    object who;
    if (ghost())
        return 0;
    if (!str) {
        write("You think about the problem you face.\n");
        say(cap_name + " thinks deeply on a great philosophical problem.\n");
        return 1;
    }
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " thinks naughty thoughts about you.\n");
    write("You think naught thoughts about " + capitalize(str) +"\n");
    say(cap_name + " thinks naughty thoughts about " + capitalize(str) + "\n", who);
    return 1;
}

thwap(str) {
    object who;
    if (ghost())
        return 0;
    if (str == 0)
        return 0;
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " thwaps you.\n");
    write("You thwap " + capitalize(str) + ".\n");
    say(cap_name + " thwaps " + capitalize(str) + ".\n", who);
    return 1;
}

twiddle() {
    if (ghost())
        return 0;
    write("You twiddle your thumbs.\n");
    say(cap_name + " twiddles " + the_owner->query_possessive() +
        " thumbs.\n");
    return 1;
}

wave(str) {
    object who;
    if (ghost())
       return 0;
    if (!str) {
       write("You wave.\n");
       say(cap_name + " waves.\n");
       return 1;
    }
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
       return 0;
    tell_object(who, cap_name + " waves at you.\n");
    write("You wave at " + capitalize(str) + ".\n");
    say(cap_name + " waves at " + capitalize(str) + ".\n", who);
    return 1;
}

whistle(str) {
    object who;
    if (ghost())
        return 0;
    if(!str) {
        write("You whistle appreciatively.\n");
        say(cap_name + " whistles appreciatively.\n");
        return 1;
    }
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " whistles appreciatively at you.\n");
    write("You whistle appreciatively at " + capitalize(str) +".\n");
    say(cap_name + " whistles appreciatively at " + capitalize(str) + ".\n", who);
    return 1;
}

wiggle() {
    if (ghost())
        return 0;
    write("You wiggle your bottom.\n");
    say(cap_name + " wiggles " + the_owner->query_possessive() +
        " bottom.\n");
    return 1;
}

wink(str) {
    object who;
    if (ghost())
        return 0;
    if(!str) {
        write("You wink.\n");
        say(cap_name + " winks suggestively.\n");
        return 1;
    }
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " winks suggestively at you.\n");
    write("You wink at " + capitalize(str) +".\n");
    say(cap_name + " winks suggestively at " + capitalize(str) + ".\n", who);
    return 1;
}

worship(str) {
    object who;
    if (ghost())
        return 0;
    if (!str) {
       return 0;
    }
    who = present(lower_case(str), environment(this_player()));
    if (!who || !living(who) || who == this_player())
        return 0;
    tell_object(who, cap_name + " worships at your feet.\n");
    write("You worship " + capitalize(str) +".\n");
    say(cap_name + " worships " + capitalize(str) + ".\n", who);
    return 1;
}

yawn() {
    if (ghost())
        return 0;
    write("My, what big teeth you have!\n");
    say(cap_name + " yawns.\n");
    return 1;
}
