/*
 * codebook.c
 * Bram Stolk, March 92
 */
inherit "obj/xthing";

id(str) {
  return(str=="codebook" || str=="book");
}

reset(arg) {
  ::reset(arg);
  if (!arg) {
    graphic = 
"05040472867C7A96878A920407738973867C7B7C7F040F7C7F7C7B9588958C040C728A7C7E968C8A95040484918A93928D8B8A";
  }
}

short() {
  return("A codebook for Terran Military Communications");
}

long() {
  write("Most of the pages are not readable anymore.\n"+
        "However, on one page, some words can still be read.\n");
}

init() {
  add_action("read","read");
}

read(str) {
  if (!str) {
    write("What do you want to read?\n");
    return 1;
  }
  if (str=="codebook" || str=="book") {
    write(
"Standard Military Communications, part 7\n \n"+
"A.U.A	  - All Units Attack\n"+
"A.U.C.P  - All Units Change Position\n"+
"A.U.R	  - All Units Retreat\n \n"+
"R.A.	  - Respons Affirmative\n"+
"R.N.	  - Response Negative\n"+
"P.R.	  - Please Repeat\n \n"+
"Note: All communications must be done in full word form in capitals.\n"+
"      Thus, P.R. e.g. would be: 'PAPPA ROMEO' and\n"+
"      e.g. A.U.A would be 'ALPHA UTAH ALPHA'.\n"
);
  }
  say(this_player()->query_name()+
      " reads from the codebook for military communications.\n");
  return 1;
}

query_weight() {
  return 1;
}

query_value() {
  return 34;
}

get() {
  return 1;
}

