inherit "room/xroom";

reset(arg) {
  object o;

  ::reset(arg);
  if (!arg) {
    graphic =
"06040600FF0000FF00FFFF04055060C660FF00000004045060C660C6FF50FF040C78FF7860976097FF040D7860783F973F97600D0E783F7A428245894693439641973F963C923A87397E3A793C783E";
    description = 
"You are in a teleportation cabine of Galactic Travel Inc. A tremedous\n"+
"bright beam flashes from the top upon the floor. The beam makes an eerie\n"+
"noise that makes you feel somewhat uncomfortable. There is a button\n"+
"on the wall with subscript: 'OUT OF ORDER'\n";
    dest_dir = ({ "room/teleport","out" });
  }
}

init() {
  ::init();
  add_action("press","press");
  add_action("press", "push");
}

press(str) {
  object b;
  string dest;

  write("The teleportation unit is out of order.\n");
  return 1;
  if (str == "button") {
    write("Please use the syntax 'press <PLANET>' with <PLANET> = the\n"+
          "subsription of the button you want to press.\n");
    return 1;
  }
  dest = 0;
  if (str=="saturn" || str=="Saturn")
    dest = "players/solaris/saturn/entrance";

  if (!dest) {
    write("There is no such button here. You'll have to pick another one.\n");
    return 1;
  }
  write("The humming sound of the beam intensifies...\n");
  write("You are beamed to another place.\n");
  this_player()->magic_move(dest);
  return 1;
}

