/* bugs (a lot :) fixed by Orion 8th April 1992 */
inherit "room/xroom.c";
#include "/system/sendhex.h"

int departure;
int stage;
object passenger;
string destination;

reset(arg) {
  ::reset(arg);
  if (!arg) {
    string tmp,instance;
    description = "You are at an arrival/departure bay for space cabs.\n"+
		  "type 'go <PLANET>' to use one.\n";
    departure = 0;
    set_heart_beat(1);
    tmp = file_name(this_object());
    sscanf(tmp,"%s#%s",idstr,instance);
  }
}

init() {
  ::init();
  add_action("go","go");
  add_action("noway2","look");
  add_action("noway2","l");
}

heart_beat() {
  if (!departure)
    return;
  if (!passenger) {
    /* Fix bug that freezes cab service when players quit mid-travel */
    departure = 0;
    return;
  }
  stage++;
  if (stage<6) {
    say("@"+"RMOroom/cab/ship.@"+"VIOroom/cab/ship."+
          sendhex(7+stage)+"00@"+"RFS");
    return;
  }
  if (stage==6) {
    say("@"+"RMOroom/cab/ship.@"+"RFS");
    tell_object(passenger,"@"+"SCEroom/cab/inspace.@"+"RFS");
    return;
  }
  if (stage==9) {
    move_object(passenger,destination);
    destination->resend_state();
   command("look",passenger);
    return;
  }
  if (stage>=13) {
    departure = 0;
    passenger = 0;
    say("A new cab arrives.\n@"+"VIOroom/cab/ship.0700@"+"RFS");
    return;
  }
}

long() {
  ::long();
  if (!departure)
    write("@"+"VIOroom/cab/ship.0700@"+"RFS");
}

go(str) {
  if (!str) {
    write ("Where do you want to go?\n");
    return 1;
  }
  if (departure)
    if (passenger != this_player()) {
      write("Please wait for "+passenger->query_name()+".\n");
      return 1;
    } else {
      write("Too late, you are already destined for a planet.\n");
      return 1;
    }
  destination = service(str);
  if (!destination) {
    write("Sorry, the space cabs do not service planet "+str+"\n");
    return 1;
  }
  passenger = this_player();
  departure = 1;
  stage = 0;
  tell_room(this_object(),"@"+"RMO"+passenger->query_idstr()+".@"+"RFS");
  add_action("noway","micro_w");
  add_action("noway","micro_n");
  add_action("noway","micro_s");
  add_action("noway","micro_e");
  add_action("noway","look");
  add_action("noway","l");
  return 1;
}

noway() {
	return 1;
}
noway2(str) {
	if(!str) {
		if(departure) return 1;
	}
}
