inherit "room/xroom";
 
reset(arg) {
  ::reset();
  if (!arg) {
    graphic = 
"08040A00940100FF01FF8D040B00FE0186FE86FFFD080F28CB285B2B553A4F4D4E57545A5A5ACC080C40FC25C927C431BE46BB54BF5CC35DC706063C4E3C6F407549764D6E4D4E07084B945395579957AC53B04EAE4BA809074B935394579857AB54AE55A9559952964C95040E4862485C4B5B4B61";
    description = "You are standing in a grassy field. The tower of the Scheppers is planted at\n this spot.\n";
    dest_dir = ( {  "room/teleport", "east",
		    "room/postoff", "west" } );
    items = ({"tower","A huge tower."});
  }
}
 
init() {
  ::init();
  add_action("enter","enter");
}
 
enter() {
  if (this_player()->query_level() < 21) {
    write("Getting caught in the tower by a Schepper would mean certain death.\n");
    write("Better get initiated into Schepperhood first before you enter this tower.\n");
    return 1;
  }
  this_player()->move_player("inside#room/intower");
  return 1;
}
 
